Block Attribute Example |
Using Programming Languages other than VBA
Sub Example_Blockttribute() ' This example creates an MLeader object and gets and sets values for ' the block attribute type. Dim points(0 To 5) As Double points(0) = 0: points(1) = 4: points(2) = 0 points(3) = 1.5: points(4) = 5: points(5) = 0 Dim i As Long Dim oML As AcadMLeader Set oML = ThisDrawing.ModelSpace.AddMLeader(points, i) oML.ContentType = acBlockContent oML.ContentBlockType = acBlockBox Dim sBlock As String sBlock = oML.ContentBlockName Dim o As AcadEntity For Each o In ThisDrawing.Blocks(sBlock) If o.ObjectName = "AcDbAttributeDefinition" Then Call oML.SetBlockAttributeValue(o.ObjectID, "123") MsgBox oML.GetBlockAttributeValue(o.ObjectID) End If Next o Update ZoomExtents End Sub
Comments? |